xpra icon
Bug tracker and wiki

Opened 7 months ago

Closed 7 months ago

Last modified 7 months ago

#2273 closed defect (fixed)

2.5 test error with avahi missing

Reported by: Antoine Martin Owned by: Antoine Martin
Priority: major Milestone: 3.0
Component: packaging Version: 2.5.x
Keywords: Cc:

Description

'xpra main error:'
'Traceback (most recent call last):'
'  File "/usr/src/rpmbuild/BUILDROOT/xpra-2.5.1-0.r22431.fc28.i386/usr/lib/python3.6/site-packages/xpra/server/socket_util.py", line 445, in mdns_publish'
'    from xpra.net.mdns.avahi_publisher import AvahiPublishers as MDNSPublishers, get_interface_index'
'  File "/usr/src/rpmbuild/BUILDROOT/xpra-2.5.1-0.r22431.fc28.i386/usr/lib/python3.6/site-packages/xpra/net/mdns/avahi_publisher.py", line 9, in <module>'
'    import avahi'
"ModuleNotFoundError: No module named 'avahi'"
''
'During handling of the above exception, another exception occurred:'
''
'Traceback (most recent call last):'
'  File "/usr/src/rpmbuild/BUILDROOT/xpra-2.5.1-0.r22431.fc28.i386/usr/lib/python3.6/site-packages/xpra/scripts/main.py", line 93, in main'
'    return run_mode(script_file, err, options, args, mode, defaults)'
'  File "/usr/src/rpmbuild/BUILDROOT/xpra-2.5.1-0.r22431.fc28.i386/usr/lib/python3.6/site-packages/xpra/scripts/main.py", line 421, in run_mode'
'    return run_server(error_cb, options, mode, script_file, args, current_display)'
'  File "/usr/src/rpmbuild/BUILDROOT/xpra-2.5.1-0.r22431.fc28.i386/usr/lib/python3.6/site-packages/xpra/scripts/server.py", line 620, in run_server'
'    return do_run_server(error_cb, opts, mode, xpra_file, extra_args, desktop_display)'
'  File "/usr/src/rpmbuild/BUILDROOT/xpra-2.5.1-0.r22431.fc28.i386/usr/lib/python3.6/site-packages/xpra/scripts/server.py", line 1225, in do_run_server'
'    mdns_publish(display_name, mdns_mode, listen_on, mdns_info)'
'  File "/usr/src/rpmbuild/BUILDROOT/xpra-2.5.1-0.r22431.fc28.i386/usr/lib/python3.6/site-packages/xpra/server/socket_util.py", line 452, in mdns_publish'
'    log.warn(" %s", e)'
'  File "/usr/src/rpmbuild/BUILDROOT/xpra-2.5.1-0.r22431.fc28.i386/usr/lib/python3.6/site-packages/xpra/log.py", line 406, in warn'
'    self.log(logging.WARN, msg, *args, **kwargs)'
'  File "/usr/src/rpmbuild/BUILDROOT/xpra-2.5.1-0.r22431.fc28.i386/usr/lib/python3.6/site-packages/xpra/log.py", line 395, in log'
'    global_logging_handler(self.logger.log, level, msg, *args, **kwargs)'
'  File "/usr/src/rpmbuild/BUILDROOT/xpra-2.5.1-0.r22431.fc28.i386/usr/lib/python3.6/site-packages/xpra/log.py", line 135, in standard_logging'
'    log(level, msg, *args, **kwargs)'
'  File "/usr/lib/python3.6/logging/__init__.py", line 1374, in log'
'    self._log(level, msg, args, **kwargs)'
'  File "/usr/lib/python3.6/logging/__init__.py", line 1443, in _log'
'    exc_info, func, extra, sinfo)'
'  File "/usr/lib/python3.6/logging/__init__.py", line 1413, in makeRecord'
'    sinfo)'
'  File "/usr/lib/python3.6/logging/__init__.py", line 277, in __init__'
'    if (args and len(args) == 1 and isinstance(args[0], collections.Mapping)'
'  File "/usr/lib/python3.6/abc.py", line 193, in __instancecheck__'
'    return cls.__subclasscheck__(subclass)'
'  File "/usr/lib/python3.6/abc.py", line 228, in __subclasscheck__'
'    if issubclass(subclass, scls):'
'  File "/usr/lib/python3.6/abc.py", line 228, in __subclasscheck__'
'    if issubclass(subclass, scls):'
'  File "/usr/lib/python3.6/typing.py", line 1154, in __subclasscheck__'
'    return super().__subclasscheck__(cls)'
'  File "/usr/lib/python3.6/abc.py", line 228, in __subclasscheck__'
'    if issubclass(subclass, scls):'
'  File "/usr/lib/python3.6/typing.py", line 1154, in __subclasscheck__'
'    return super().__subclasscheck__(cls)'
'  File "/usr/lib/python3.6/abc.py", line 202, in __subclasscheck__'
'    if cls._abc_negative_cache_version < ABCMeta._abc_invalidation_counter:'
'  File "/usr/lib/python3.6/typing.py", line 1037, in _abc_negative_cache_version'
'    return self._gorg._abc_generic_negative_cache_version'
"AttributeError: 'NoneType' object has no attribute '_abc_generic_negative_cache_version'"

Change History (1)

comment:1 Changed 7 months ago by Antoine Martin

Resolution: fixed
Status: newclosed

This looks like a bug in the python logging code, r22433 prevents it from propagating.

(backport in r22434)

Last edited 7 months ago by Antoine Martin (previous) (diff)
Note: See TracTickets for help on using tickets.